--AH:ScriptId=d45a743c-29f1-4240-9e35-bbff3d968255;624
ALTER TABLE [Tasks]
  ADD [Application_Scopeable_Indicator] YNINDICATOR NOT NULL
      CONSTRAINT [DF__Tasks__Application_Scopeable_Indicator]
      DEFAULT ('N')
ALTER TABLE [Tasks] DROP CONSTRAINT [DF__Tasks__Application_Scopeable_Indicator]
GO

ALTER TABLE [Tasks]
  ADD [Environment_Scopeable_Indicator] YNINDICATOR NOT NULL
      CONSTRAINT [DF__Tasks__Environment_Scopeable_Indicator]
      DEFAULT ('N')
ALTER TABLE [Tasks]DROP CONSTRAINT [DF__Tasks__Environment_Scopeable_Indicator] 
GO

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Applications_EditApplication'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Applications_EditDeployable'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Applications_ViewOverview'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Builds_CreateBuild'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_ExecuteBuild'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_ForceBuild'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Builds_ManageBuildSchedules'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_OverridePromotionStatus'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_PromoteBuild'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_ReExecuteBuild'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_RejectBuild'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Builds_ViewArtifact'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Builds_ViewBuildHistory'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Builds_ViewBuildOverview'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_ViewDebugLogs'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_ViewExecutionDetails'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Builds_ViewPromotionDetails'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='ChangeControls_ManageChangeControls'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='ChangeControls_PerformAnyChangeControls'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='ChangeControls_ViewChangeControls'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='ConfigurationFiles_DeployConfigurationFiles'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='ConfigurationFiles_EditConfigurationFile'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='ConfigurationFiles_ManageConfigurationFiles'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='ConfigurationFiles_ViewConfigurationFile'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='DatabaseChangeScripts_DeployChangeScript'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='DatabaseChangeScripts_ManageChangeScripts'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='DatabaseChangeScripts_ManageDatabaseProviders'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='DatabaseChangeScripts_ViewChangeScript'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='DatabaseChangeScripts_ViewDatabaseProvider'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='N', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Environments_ManageEnvironments'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='N', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Environments_ManageServers'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='N', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Environments_ViewEnvironment'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='N', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Environments_ViewServer'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='N', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Events_ManageAllNotifiers'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='N', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Events_ManageOwnNotifiers'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Plans_ManagePlans'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='Y' WHERE [Task_Name]='Plans_ViewPlan'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='N', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Providers_DeleteProvider'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='N', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Providers_ManageProviders'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Releases_AddNote'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Releases_DeleteNote'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Releases_EditNote'

UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Releases_ManageReleases'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Releases_ViewReleaseOverview'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Variables_CreateOrUpdateVariables'
UPDATE [Tasks] SET [Application_Scopeable_Indicator]='Y', [Environment_Scopeable_Indicator]='N' WHERE [Task_Name]='Workflows_ManageWorkflows'

GO




/*
SELECT 'UPDATE [Tasks] SET [Application_Scopeable_Indicator]=''N'', [Environment_Scopeable_Indicator]=''N'' WHERE [Task_Name]=''' + [Task_Name] + ''''
 FROM [Tasks]
 ORDER BY [Task_Name]
*/