EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_SetActive',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deactivates or reactivates a package.'
GO

IF OBJECT_ID('[Packages_SetActive]') IS NOT NULL DROP PROCEDURE [Packages_SetActive]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_SetActive]
(
    @Package_Id INT,
	@Active_Indicator YNINDICATOR
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [Packages]
	   SET [Active_Indicator] = @Active_Indicator
	 WHERE [Package_Id] = @Package_Id

END
GO

GRANT EXECUTE ON [Packages_SetActive] TO [BuildMasterUser_Role]
