--AH:ScriptId=B18C4CFC-2ED9-4D0A-8A06-69862036A301

ALTER TABLE [Builds]
	ALTER COLUMN [Release_Id] INT NULL

ALTER TABLE [Builds]
	ADD [Application_Id] INT NULL

ALTER TABLE [Builds]
	ADD [Pipeline_Id] INT NULL
GO

UPDATE B
   SET B.[Application_Id] = R.[Application_Id],
       B.[Pipeline_Id] = R.[Pipeline_Id]
  FROM [Builds] B
       INNER JOIN [Releases] R
	           ON R.[Release_Id] = B.[Release_Id]
GO

ALTER TABLE [Builds]
	ADD CONSTRAINT [FK__Builds__Applications]
		FOREIGN KEY ([Application_Id])
		REFERENCES [Applications] ([Application_Id])
		ON DELETE CASCADE
	
GO

ALTER TABLE [Builds]
	ADD CONSTRAINT [FK__Builds__Pipelines]
		FOREIGN KEY ([Pipeline_Id])
		REFERENCES [Pipelines] ([Pipeline_Id])

GO

ALTER TABLE [Builds]
	DROP CONSTRAINT [UQ__Builds]

ALTER TABLE [Builds]
	ADD CONSTRAINT [UQ__Builds]
		UNIQUE ([Application_Id], [Release_Id], [Build_Number])
