--AH:ScriptId=FCCFB10A-C6CD-4AFE-B282-C39E8B11C956

INSERT INTO [SecureResources]
(
	[SecureResource_Name],
	[Credential_Name],
	[Configuration_Xml]
)
SELECT PS.[PackageSource_Name],
       PS.[Credential_Name],
	   [Configuration_Xml] = (SELECT [@Assembly] = 'Inedo.SDK',
                                     [Properties/@ApiEndpointUrl] = PS1.[Feed_Url]
                                FROM [PackageSources] PS1
								     WHERE PS1.[PackageSource_Id] = PS.[PackageSource_Id]
                                 FOR XML PATH('Inedo.Extensions.SecureResources.UniversalPackageSource'))
  FROM [PackageSources] PS
 WHERE [PackageSourceType_Code] = 'U'

INSERT INTO [SecureResources]
(
	[SecureResource_Name],
	[Credential_Name],
	[Configuration_Xml]
)
SELECT PS.[PackageSource_Name],
       PS.[Credential_Name],
	   [Configuration_Xml] = (SELECT [@Assembly] = 'Inedo.SDK',
                                     [Properties/@ApiEndpointUrl] = PS1.[Feed_Url]
                                FROM [PackageSources] PS1
							   WHERE PS1.[PackageSource_Id] = PS.[PackageSource_Id]
                                 FOR XML PATH('Inedo.Extensions.SecureResources.NuGetPackageSource'))
  FROM [PackageSources] PS
 WHERE [PackageSourceType_Code] = 'N'
